
简介
该用户还未填写简介
擅长的技术栈
可提供的服务
暂无可提供的服务
我们书写dfs函数,是要根据题意来确定参数的。要记录当前的点,那么我们用x来表示,需要记录当前总共遍历的点的数量,那么我们用cnt来记录,dfs不能搜索搜过的点,要保证是一颗向下搜索的树,所以我们用fa来表示,防止搜到它的父节点。首先我们读完题,优点懵,但是仔细读,题意就是:转发两次,一条路径上除开起始点和终点,经理两个点的所有路径,起始点和终点可以相同。思路:很容易想到搜索(dfs),我们枚举每

思路:我们进行枚举即可,对于每一层如果符合答案,那么我们就更新。

如果直接暴力枚举,那么肯定超时。优化1:从小到大枚举i,j,k。优化2:总共的平方和

那么我们如何优化呢?我们可以预处理出所有所有竹子砍的次数,最大的为mx,那么我们会发现,mx次之后,所有的竹子一定都可以变成1.思路:首先我们读完题,很容易想到暴力,就是枚举所有序列,然后判断是否有连续相同的数,但是这样肯定会爆掉。小tip:一定要审题,题目说的是连续的一段相同的竹子。还有范围是longlong。

我们发现在矩形长相等,或者宽相等的时候,如:如果宽相等的矩形,某个长度的矩形不行,那么更长的长度的矩形肯定也不行,所以具有单调性。我们可以用(双指针)优化一层。首先我们用前缀和模板,然后暴力枚举所有的x1,y1,x2,y2;但是这是o(n^4)所以我们要想办法优化,枚举宽度,长的起点。利用双指针找到右端点。

所以我们优化,对于每个数的前缀和,我们可以二分出,有多少个(高斯求和)类型的式子,然后加上剩下的数。对于二分出的高斯求和式子,我们可以预处理。思路:最开始想用前缀和,但是暴力只能过掉30%。
因为是循环的,符合queue队列的特性,先进后出。所以我们用队列模拟这个过程即可。n最大100,我们枚举从哪个位置开始开始,然后模拟拿牌这个过程即可。

题的范围为1e12,所以复杂度不能是o(n)以上,一个完全平方数得特点是什么:所以得因子的个数都是偶数。所以我们分解n的质因数,只要是奇数个数的质因子乘起来就是答案。

通过题意描述,判断出是曼哈顿距离,所以我们只需要找出实际中两个点的坐标,那么就可以计算了。与平常的坐标不同的是,就是y坐标倒过来了,所以我们只需要把y坐标改到相应的坐标即可。
1.f [i] 表示当前字符串 以 2023为第 i 位的数量方案:如f [0] 表示 前i个字符串中2 的数量, f [1] 表示 前i个字符串中 20 的数量, f [2] 表示 前i个字符串中202 的数量, f [3] 表示 前i个字符串中 2023 的数量.双字数思路:枚举即可,线性筛法,因为最大为2e14次方,所以筛出1e7的素数即可,时间为0.1秒左右。子2023思路:dp。最开始想








